Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Class PDFRenderOption

    java.lang.Object
      org.eclipse.birt.report.engine.api.TaskOption
          org.eclipse.birt.report.engine.api.RenderOption
              org.eclipse.birt.report.engine.api.PDFRenderOption

All Implemented Interfaces:
  IPDFRenderOption, IRenderOption, ITaskOption

    public class PDFRenderOption

extends RenderOption
implements IPDFRenderOption

Defines render options for emitters

Field Summary

Fields inherited from class org.eclipse.birt.report.engine.api.TaskOption
`options`

Fields inherited from interface org.eclipse.birt.report.engine.api.IPDFRenderOption
`CLIP_CONTENT, DPI, ENLARGE_PAGE_SIZE, FIT_TO_PAGE, FIT_TO_PAGE_SIZE, FONT_DIRECTORY, IS_EMBEDDED_FONT, OUTPUT_TO_MULTIPLE_PAGES, PAGE_OVERFLOW, PAGEBREAK_PAGINATION_ONLY, PDF_BIDI_PROCESSING, PDF_FONT_SUBSTITUTION, PDF_HYPHENATION, PDF_TEXT_WRAPPING`

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Constructor Summary
`PDFRenderOption()` dummy constructor
`PDFRenderOption(IRenderOption options)` Constructor.

Method Summary
`java.lang.String` | `getFontDirectory()` Deprecated.
`boolean` | `isEmbededFont()`
`void` | `setEmbededFont(boolean isEmbededFont)` Set flag indicates if the font needs to be embedded.
`void` | `setFontDirectory(java.lang.String fontDirectory)` Deprecated.

Methods inherited from class org.eclipse.birt.report.engine.api.RenderOption
`closeOutputStreamOnExit, getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, needCloseOutputStreamOnExit, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from class org.eclipse.birt.report.engine.api.TaskOption
`getBooleanOption, getOption, getOptions, getStringOption, hasOption, setOption`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Constructor Detail

### PDFRenderOption

    public PDFRenderOption()

  dummy constructor

### PDFRenderOption

    public PDFRenderOption(IRenderOption options)

  Constructor.

  Parameters:
    `options` -

Method Detail

### setEmbededFont

    public void setEmbededFont(boolean isEmbededFont)

  Set flag indicates if the font needs to be embedded.

  Specified by:
    `setEmbededFont` in interface `IPDFRenderOption`
  Parameters:
    `isEmbededFont` -

### isEmbededFont

    public boolean isEmbededFont()

  Specified by:
    `isEmbededFont` in interface `IPDFRenderOption`
  Returns:
    true if font is embedded

### getFontDirectory

    public java.lang.String getFontDirectory()

  Deprecated.

  Specified by:
    `getFontDirectory` in interface `IPDFRenderOption`
  Returns:
    the user-defined font directory

### setFontDirectory

    public void setFontDirectory(java.lang.String fontDirectory)

  Deprecated.

  Specified by:
    `setFontDirectory` in interface `IPDFRenderOption`
  Parameters:
    `fontDirectory` - the user-defined font directory

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.